Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 411421 - Review Request: d-feet - D-Bus debugger
Review Request: d-feet - D-Bus debugger
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 21:07 EST by John (J5) Palmieri
Modified: 2013-03-13 00:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: devel,F-8,F-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-08 21:51:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
traceback log (20.94 KB, text/plain)
2007-12-06 22:28 EST, Parag AN(पराग)
no flags Details

  None (edit)
Description John (J5) Palmieri 2007-12-04 21:07:22 EST
Spec URL: http://johnp.fedorapeople.org/d-feet.spec
SRPM URL: http://johnp.fedorapeople.org/d-feet-0.1.2-1.fc8.src.rpm
Description: D-Feet is a D-Bus debugger
Comment 1 Parag AN(पराग) 2007-12-05 07:07:11 EST
+ desktop-file-install --vendor= --delete-original
--dir=/var/tmp/d-feet-0.1.2-1.fc9-root-mockbuild/usr/share/applications
ui/d-feet.desktop
Error on file "ui/d-feet.desktop": No such file or directory

it should be dfeet.desktop
Comment 2 Parag AN(पराग) 2007-12-05 07:35:46 EST
1)some other things scriptlet scrollkeeper is not used so its BR are not
required right now.

2)Ok. So I corrected SPEC and tried to rebuild but it failed with
/var/tmp/d-feet-0.1.2-1.fc9-root-mockbuild/usr/share/applications/dfeet.desktop:
error: value "dfeet-icon.png" for key "Icon" in group "Desktop Entry" is an icon
name with an extension, but there should be no extension as described in the
Icon Theme Specification if the value is not an absolute path
Error on file "ui/dfeet.desktop": Failed to validate the created desktop file

did mock build
=>http://koji.fedoraproject.org/koji/getfile?taskID=275767&name=build.log

3)I don't see any python eggs needed here.
http://fedoraproject.org/wiki/Packaging/Python/Eggs

(/me need to read above guidelines)
Comment 3 John (J5) Palmieri 2007-12-05 12:30:16 EST
Everything should be fixed in latest version

Spec URL: http://johnp.fedorapeople.org/d-feet.spec
SRPM URL: http://johnp.fedorapeople.org/d-feet-0.1.2-3.fc8.src.rpm

I didn't do the 

%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

conditional because we can change this if we want an older build.
Comment 5 Parag AN(पराग) 2007-12-05 22:53:32 EST
with new updated SPEC, I saw =>
d-feet.src: E: description-line-too-long D-Bus is an RPC library used on the
Desktop.  D-Feet can be used to inspect D-Bus objects of running programs and
invoke methods on those objects.
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

I can still see BR: scrollkeeper

I don't see any of the *egg files getting installed as part of following
http://fedoraproject.org/wiki/Packaging/Python/Eggs
Comment 6 John (J5) Palmieri 2007-12-06 13:58:16 EST
The BR and description length are easy to fix.  The egg stuff however is unclear
since I followed all the steps and it still isn't producing eggs.  I also read
from the page:

We need to provide eggs for those packages but if upstream does not provide eggs
we should only provide them if necessary to support another package.

This package is an application and does not support other packages so I think
this rule can be waved.  If you give me advice on making eggs work upstream I
would gladly add it but right now it seems like a useless blocker.
Comment 7 Toshio Ernie Kuratomi 2007-12-06 14:21:29 EST
Parag AN, do you know of a package or program that needs to use d-feet eggs? 
Otherwise, J5's in the right here.  Upstream isn't providing eggs and it's
primarily a program anyway so there's no reason for us to to so.
Comment 8 Parag AN(पराग) 2007-12-06 20:36:02 EST
(In reply to comment #7)
> Parag AN, do you know of a package or program that needs to use d-feet eggs? 
  From my side no. and reason to discuss this eggs issue is to ask reporter if
he knows any other packages that needs this package and thus should take care of
eggs  files installation.
  So, in this case is BR of python-setuptools-devel, still mandatory?
> Otherwise, J5's in the right here.  Upstream isn't providing eggs and it's
> primarily a program anyway so there's no reason for us to to so.
  Anyway, I don't see this as a blocker here.

Comment 9 John (J5) Palmieri 2007-12-06 21:13:01 EST
(In reply to comment #8)
> (In reply to comment #7)
> > Parag AN, do you know of a package or program that needs to use d-feet eggs? 
>   From my side no. and reason to discuss this eggs issue is to ask reporter if
> he knows any other packages that needs this package and thus should take care of
> eggs  files installation.
>   So, in this case is BR of python-setuptools-devel, still mandatory?

I would assume it is still mandatory since I use python-setuptools to do the build.
Comment 10 Parag AN(पराग) 2007-12-06 22:03:58 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is NOT silent for SRPM. But silent for RPM.
d-feet.src: E: description-line-too-long D-Bus is an RPC library used on the
Desktop.  D-Feet can be used to inspect D-Bus objects of running programs and
invoke methods on those objects.
+ source files match upstream url
35f713feee9b9b8a7ec5fff6d2fd18fa  d-feet-0.1.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper(with extra unnecessary scrollkeeper)
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ gtk-update-icon-cache scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ GUI App.
APPROVED.

SHOULD:
  fix rpmlint and BR problem.
  According to
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6
  If upstream uses <vendor_id>, leave it intact, otherwise use fedora as
<vendor_id>.
Comment 11 Parag AN(पराग) 2007-12-06 22:28:49 EST
Created attachment 280511 [details]
traceback log

Hey I got many messages and Traceback errors when I started this d-feet program
from gnome-terminal on F8.
Attaching here log of starting d-feet from terminal and then closing it.
Comment 12 John (J5) Palmieri 2007-12-07 00:36:09 EST
Those are known upstream issues.  Will fix the None errors in the next release.
 The glade errors come from using gazpacho instead of glade so I may need to
fiddle with the glade file manually.
Comment 13 John (J5) Palmieri 2007-12-07 00:41:19 EST
New Package CVS Request
=======================
Package Name: d-feet
Short Description: D-Bus debugger
Owners: johnp
Branches: F-7 F-8
Cvsextras Commits: no
Comment 14 Kevin Fenzi 2007-12-07 12:03:27 EST
cvs done.
Comment 15 John (J5) Palmieri 2007-12-08 21:51:17 EST
built in devel, F-7 and F-8.  Closing.
Comment 16 John (J5) Palmieri 2011-11-11 12:11:20 EST
Package Change Request
======================
Package Name: d-feet
New Branches: el6
Owners: johnp
Comment 17 Gwyn Ciesla 2011-11-11 12:33:34 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.